Estensione per Oracle

Ciao a tutti,

avrei un problema che mi sta tormentanto. Ho bisogno di collegare php 5 ad oracle.

Ho un pc su cui è installato windows xp, la versione che sto utilizzando di Apache e la 2.058 la versione di Oracle è la 9.2.0.1. Vi dico in anticipo che ho modificato il file php.ini (scommentanto l'esensione php_oci8.dll), inoltre ho indicato sempre in php.ini la directory in cui sitrovano le dll (Extension_dir). Tuttavia quando mando in esecuzione la funzione phpinfo() da Apache vedo che l'estensione per Oracle non è presente: come devo fare???????????????????????????

Vi prego aiutatetimi sono disperata!

Costanza

inviato 10 anni fa
costanza75
X 0 X

l'esensione php_oci8.dll richiede la presenza delle libreria del client di Oracle. Trovi le istruzioni qui:

http://www.oracle.com/technology/pub/notes/technote_php_instant.html

 :bye:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Ciao Gianni,

grazie mille per il tuo supporto, ho risolto il problema.

 ;D

risposto 10 anni fa
costanza75
X 0 X

Ciao,

oggi ho un nuovo problema, nonostante sembrava che tutto funzionasse. Sto provando ad installare tikiwiki ma ad un certo punto il server Apache si blocca irrimediabilmente.

Nella segnalazioni errori ricevo questo messaggio

szAppName : Apache.exe     szAppVer : 2.0.58.200     szModName : php_oci8.dll

szModVer : 5.1.4.4     offset : 00003c6b   

penso quindi che il problema sia la libreria php_oci8.dll, ma sono disarmata. Come è possibile che la libreria non dà problemi con un esempio in php molto semplice di collegamento al db e si pianta con tikiwiki?????

Non so che fare!

Costanza

risposto 10 anni fa
costanza75
X 0 X

Ma vuoi usare Oracle come database per tikiwiki? Sei sicura che sia supportato?

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Si sono sicura che è supportato,

tanto che durante la procedura di installazione di tikiwiki vengono create le tabelle per tikiwiki su Oracle. Dopo questa fase però prima dell'autenticazione in tikiwi apache si blocca. Forse è un bug di php 5 con xp, ho trovato qualcosa in rete, ma consigliano di scaricare qualcosa su un sito che non è raggiungibile.

Quale può essere il pb?

Costanza

risposto 10 anni fa
costanza75
X 0 X

Qui dice che l'installazione su oracle ha dei problemi:

http://dev.tikiwiki.org/tiki-view_tracker_item.php?trackerId=5&itemId=447&highlight=oracle

 :dunno:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Quindi mi devo arrendere? :-[

Io ho trovato questo riferimento http://www.mail-archive.com/php-bugs@lists.php.net/msg81398.html, in cui

si parla proprio dell'errore che viene fuori a me, am non ci ho capito molto.

Mi daresti una mano????

Costanza

risposto 10 anni fa
costanza75
modificato 10 anni fa
X 0 X
Quindi mi devo arrendere? :-[

Non lo so, non conosco tikiwiki. Prova a chiedere nel forum del programma, magari qualche sviluppatore ti saprà dare maggiori indicazioni.

Nella "peggiore delle ipotesi" ti basta installare MySQL...

risposto 10 anni fa
Gianni Tomasicchio
modificato 10 anni fa
X 0 X

La mia azienda vuole lavorare necessariamente con Oracle è questo il problema, quindi bisognerebbe trovare un ambiente con le stesse caratteristiche di tikiwiki ma più stabile con Oracle e comunque opensource.

Non so...

Costanza

risposto 10 anni fa
costanza75
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda